Bug 1338817 - Automate Method: Loosing value entered in data field when adding input parameters
Summary: Automate Method: Loosing value entered in data field when adding input parame...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.5.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: GA
: 5.5.5
Assignee: Harpreet Kataria
QA Contact: Nandini Chandra
URL:
Whiteboard:
Depends On: 1338007
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-23 13:22 UTC by John Prause
Modified: 2017-08-30 01:21 UTC (History)
6 users (show)

Fixed In Version: 5.5.5.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1338007
Environment:
Last Closed: 2016-07-26 15:34:38 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1488 normal SHIPPED_LIVE CFME 5.5.5 bug fixes and enhancement update 2016-07-26 19:28:27 UTC

Comment 2 CFME Bot 2016-06-13 19:12:32 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=cf203a572b793e05215bf1a7ef7844d69fe14a69

commit cf203a572b793e05215bf1a7ef7844d69fe14a69
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri May 20 14:50:01 2016 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Mon Jun 13 13:40:02 2016 -0400

    Split input parameters in method editor into it's own view.
    
    Replacing whole form when adding/removing input parameters in method editor was causing to loose value in Data field on the form due to the fact that data field does not get saved in @edit[:new] until add/save button is pressed due to the large amount of data that can be saved in that field and we don't send the large amount of data up to server every time value is changed in data field on the form. To resolve the issue splitting input_div into it's own view so page replace can be done on that specific div when adding/removing Input parameters to refresh the table in method editor.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1338007
    https://bugzilla.redhat.com/show_bug.cgi?id=1338817

 app/controllers/miq_ae_class_controller.rb    | 37 ++++---------
 app/views/miq_ae_class/_inputs.html.haml      | 77 +++++++++++++++++++++++++++
 app/views/miq_ae_class/_method_form.html.haml | 73 +------------------------
 3 files changed, 89 insertions(+), 98 deletions(-)
 create mode 100644 app/views/miq_ae_class/_inputs.html.haml

Comment 3 CFME Bot 2016-06-13 19:12:39 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=a39de4d29cde758da8ee3cbda3ea784c89ec89ea

commit a39de4d29cde758da8ee3cbda3ea784c89ec89ea
Merge: 8269067 cf203a5
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Mon Jun 13 15:11:08 2016 -0400
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Mon Jun 13 15:11:08 2016 -0400

    Merge branch '55z_pr_8864' into '5.5.z'
    
    Split input parameters in method editor into it's own view.
    
    Replacing whole form when adding/removing input parameters in method editor was causing to loose value in Data field on the form due to the fact that data field does not get saved in @edit[:new] until add/save button is pressed due to the large amount of data that can be saved in that field and we don't send the large amount of data up to server every time value is changed in data field on the form. To resolve the issue splitting input_div into it's own view so page replace can be done on that specific div when adding/removing Input parameters to refresh the table in method editor.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1338007
    https://bugzilla.redhat.com/show_bug.cgi?id=1338817
    
    @dclarizi @chessbyte please review/merge. This is clean cherry-pick for https://github.com/ManageIQ/manageiq/pull/8864
    
    See merge request !948

 app/controllers/miq_ae_class_controller.rb    | 37 ++++---------
 app/views/miq_ae_class/_inputs.html.haml      | 77 +++++++++++++++++++++++++++
 app/views/miq_ae_class/_method_form.html.haml | 73 +------------------------
 3 files changed, 89 insertions(+), 98 deletions(-)

Comment 5 Nandini Chandra 2016-07-14 07:26:33 UTC
Verified that Value entered in Data field is retained.

Verified in 5.5.5.2

Comment 7 errata-xmlrpc 2016-07-26 15:34:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1488.html


Note You need to log in before you can comment on or make changes to this bug.